from django.contrib import admin

from .models import Announcement, Reaction

class ReactionInLine(admin.TabularInline):
    model = Reaction

class AnnouncementAdmin(admin.ModelAdmin):
    model = Announcement
    list_display = ('title', 'body', 'author', 'pub_datetime')
    search_fields = ['title', 'body', 'author']

    inlines = [ReactionInLine]

class ReactionAdmin(admin.ModelAdmin):
    list_display = ('name', 'tally', 'get_announcement')

    def get_announcement(self, obj):
        return obj.announcement.title
    
    get_announcement.short_description = 'Announcement Title'

admin.site.register(Announcement, AnnouncementAdmin)
admin.site.register(Reaction, ReactionAdmin)
