from django.db import models
from django.urls import reverse

from dashboard.models import WidgetUser

class Announcement(models.Model):
    title = models.CharField(max_length = 50)
    body = models.TextField(max_length = 700, null = True, blank = True)
    author = models.ForeignKey(WidgetUser, on_delete = models.CASCADE)
    pub_datetime = models.DateTimeField('publication date and time',  auto_now_add=True)

    def __str__(self):
        return self.title
    
    def get_absolute_url(self):
        return reverse('announcementboard:announcement-details', kwargs={'pk': self.pk})

class Reaction(models.Model):
    class Choices(models.TextChoices):
        like = 'Like'
        love = 'Love'
        angry = 'Angry'
    name = models.CharField(max_length = 5, choices = Choices.choices)
    tally = models.IntegerField(default = 0)
    announcement = models.ForeignKey(Announcement, on_delete = models.CASCADE)

    def __str__(self):
        return self.name
