from django.contrib import admin
from .models import Assignment, Course

# Register your models here.
class AssignmentInLine(admin.TabularInline):
    model = Assignment

class CourseAdmin(admin.ModelAdmin):
    model = Course
    list_display = ('code', 'title', 'section')
    search_fields = ('code', 'title', 'section')

    inlines = [AssignmentInLine]

class AssignmentAdmin(admin.ModelAdmin):
    list_display = ('name', 'description', 'course', 'perfect_score', 'passing_score')

    def get_name(self, obj):
        return obj.assignment.name

    get_name.short_description = 'name'



admin.site.register(Assignment, AssignmentAdmin)
admin.site.register(Course, CourseAdmin)
