from django.db import models
from django.urls import reverse

# Create your models here.
class Course(models.Model):
    code = models.CharField(max_length=10)
    title = models.CharField(max_length=50)
    section = models.CharField(max_length=3)

    def __str__(self):
        return self.code

class Assignment(models.Model):
    name = models.CharField(max_length=50)
    description = models.TextField(max_length=500)
    course = models.ForeignKey(Course, on_delete=models.CASCADE)
    perfect_score = models.IntegerField(default=0)

    @property
    def passing_score(self):
        return round(self.perfect_score*0.6)
    
    def __str__(self):
        return self.name
    
    def get_absolute_url(self):
        return reverse("assignments:assignment-details", kwargs={"pk": self.pk})