from django.db import models
from django.urls import reverse

# Create your models here.

class Department(models.Model):
    dept_name = models.CharField(max_length = 100)
    home_unit = models.CharField(max_length = 100)
    
    def __str__(self):
        return self.dept_name + ', ' + self.home_unit
    
class WidgetUser(models.Model):
    first_name = models.CharField(max_length = 50)
    middle_name = models.CharField(max_length = 50)
    last_name = models.CharField(max_length = 50)
    department = models.ForeignKey(Department, on_delete = models.CASCADE, verbose_name = "Department, Home Unit")
    
    def __str__(self):
        return self.last_name + ', ' + self.first_name
    
    def get_absolute_url(self):
        return reverse("widgetusers:widgetuser-details", kwargs={"pk": self.pk})
