from django.shortcuts import render
from django.http import HttpResponse
from django.views.generic.detail import DetailView
from django.views.generic.edit import CreateView, UpdateView

from .models import Department, WidgetUser

def dashboard(request):
    users = WidgetUser.objects.all()
    context = {
        "users": users
    }
    
    return render(request, 'dashboard/dashboard.html', context)

class WidgetUserDetailView(DetailView):
    model = WidgetUser
    template_name = 'dashboard/widgetuser-details.html'
    
class WidgetUserCreateView(CreateView):
    model = WidgetUser
    template_name = 'dashboard/widgetuser-add.html'
    fields = '__all__'
    
class WidgetUserUpdateView(UpdateView):
    model = WidgetUser
    template_name = 'dashboard/widgetuser-edit.html'
    fields = '__all__'
