from django.contrib import admin
from .models import ForumPost, Reply

# Register your models here.

class ReplyInLine(admin.TabularInline):
    model = Reply

class ForumPostAdmin(admin.ModelAdmin):
    model = ForumPost
    list_display = ('title', 'body', 'pub_datetime')
    inlines = [ReplyInLine]

class ReplyAdmin(admin.ModelAdmin):
    model = Reply
    list_display = ('body', 'pub_datetime')
    
admin.site.register(ForumPost, ForumPostAdmin)
admin.site.register(Reply, ReplyAdmin)