from django.shortcuts import render
from django.http import HttpResponse
from .models import ForumPost, Reply
from django.views.generic.detail import DetailView
from django.views.generic.edit import CreateView, UpdateView

def forum(request):
    posts = ForumPost.objects.all().order_by('-pub_datetime')   
    replies = Reply.objects.all()
    context = {
        'forumposts':posts, 
        'replies':replies
    }
    return render(request, 'forum/forum.html', context)

class ForumPostDetailView(DetailView):
    model = ForumPost
    template_name = 'forum/forumpost-details.html'

class ForumPostCreateView(CreateView):
    model = ForumPost
    template_name = 'forum/forumpost-add.html'
    fields = ['title', 'body', 'author']

class ForumPostUpdateView(UpdateView):
    model = ForumPost
    template_name = 'forum/forumpost-edit.html'
    fields = ['title', 'body', 'author']