from django.contrib import admin
from .models import Event, Location

# Register your models here.
class LocationAdmin(admin.ModelAdmin):
    model = Location
    list_display = ('mode', 'venue',)
    search_fields = ('venue',)
    list_filter = ('mode',)

class EventAdmin(admin.ModelAdmin):
    model = Event
    list_display = ('activity','target_datetime', 'estimated_hours','location', 'course',)
    search_fields = ('activity','course','location',)
    list_filter = ('activity','target_datetime', 'course','location',)

admin.site.register(Location, LocationAdmin)
admin.site.register(Event, EventAdmin)