from django.db import models
from assignments.models import Course
from django.urls import reverse

# Create your models here.
class Location(models.Model):
    LOCATION_CHOICES = (
        ('onsite', 'Onsite'),
        ('online', 'Online'),
        ('hybrid', 'Hybrid'),
    )

    mode = models.CharField(max_length = 10, choices = LOCATION_CHOICES)
    venue = models.TextField(null = True, blank = True)

    def __str__(self):
        return self.venue

class Event(models.Model):
    activity = models.TextField()
    target_datetime = models.DateTimeField('target date/time')
    estimated_hours = models.FloatField() 
    location = models.ForeignKey(Location, on_delete = models.CASCADE)
    course = models.ForeignKey(Course, on_delete = models.CASCADE)

    def __str__(self):
        return self.activity
    
    def get_absolute_url(self):
        return reverse('event-details', kwargs={'pk': self.pk})