from django.shortcuts import render, redirect
from django.http import HttpResponse
from .models import Location, Event
from django.views.generic.detail import DetailView
from django.views.generic.edit import CreateView, UpdateView
from .forms import LocationForm, EventForm

# Create your views here.
def Calendar(request):
    locations = Location.objects.all()
    events = Event.objects.all()
    context = {
            'locations': locations,
            'events': events,
    }
    return render(request, 'widget_calendar/calendar.html', context)

class EventDetailView(DetailView):
    model = Event
    template_name = 'widget_calendar/event-details.html'

class EventCreateView(CreateView):
    model = Event
    template_name = 'widget_calendar/event-add.html'
    fields = '__all__'
    
    def post(self, request, *args, **kwargs):
        form = EventForm(request.POST)
        if form.is_valid():
            event = form.save()
            return redirect('event-details', pk=event.pk)
        else:
            form = EventForm()
            context = {
                'form': form
            }
            return render(request, 'widget_calendar/event-add.html', context)

class EventUpdateView(UpdateView):
    model = Event
    fields = '__all__'
    template_name = 'widget_calendar/event-edit.html'